public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Ondrej Mosnacek <omosnace@redhat.com>
To: git-commits@fedoraproject.org
Subject: [tests/selinux] pr775-checkpolicy-revdeps: kernel/selinux-testsuite: fail hard when PR/patch application fails
Date: Fri, 11 Sep 2026 13:20:10 GMT [thread overview]
Message-ID: <178913281065.1.6759728015821793018.tests-selinux-03bf3a0e7098@fedoraproject.org> (raw)
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : 03bf3a0e7098c7417378fb13b48889c7041a08ba
Author : Ondrej Mosnacek <omosnace@redhat.com>
Date : 2022-08-31T10:23:41+02:00
Stats : +9/-10 in 1 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/03bf3a0e7098c7417378fb13b48889c7041a08ba?branch=pr775-checkpolicy-revdeps
Log:
kernel/selinux-testsuite: fail hard when PR/patch application fails
Replace the current soft fallback to raw GIT_BRANCH when a required PR
or Patchwork patch fails to merge/apply with a hoard failure, similar to
what we do when cloning the repo fails.
The main motivation is to not have CKI treat this situation as a
failure, but it also a good practice to ensure we either run the
intended version of the test or no test at all.
Signed-off-by: Ondrej Mosnacek <omosnace@redhat.com>
---
diff --git a/kernel/selinux-testsuite/runtest.sh b/kernel/selinux-testsuite/runtest.sh
index 014f4d3..ae535fb 100755
--- a/kernel/selinux-testsuite/runtest.sh
+++ b/kernel/selinux-testsuite/runtest.sh
@@ -246,24 +246,23 @@ rlJournalStart
for pull in $GIT_PULLS; do
ref="refs/pull/$pull/head"
if ! rlRun "git fetch origin $ref:$ref" 0; then
- rlRun "git checkout $GIT_BRANCH" 0
- rlLogWarning "PR merge failed, falling back to GIT_BRANCH"
- break
+ rlLogFatal "PR merge failed!"
+ rlPhaseEnd
+ exit 127
fi
if ! rlRun "git merge --no-edit $ref" 0; then
- rlRun "git merge --abort" 0
- rlRun "git checkout $GIT_BRANCH" 0
- rlLogWarning "PR merge failed, falling back to GIT_BRANCH"
- break
+ rlLogFatal "PR merge failed!"
+ rlPhaseEnd
+ exit 127
fi
done
$PIPEFAIL_ENABLE
for pwseries in $GIT_PATCHES; do
url="https://patchwork.kernel.org/series/$pwseries/mbox/"
if ! rlRun "curl $url | git am -"; then
- rlRun "git checkout $GIT_BRANCH" 0
- rlLogWarning "Applying patch failed, falling back to GIT_BRANCH"
- break
+ rlLogFatal "Applying patch failed!"
+ rlPhaseEnd
+ exit 127
fi
done
$PIPEFAIL_DISABLE
reply other threads:[~2026-09-11 13:20 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=178913281065.1.6759728015821793018.tests-selinux-03bf3a0e7098@fedoraproject.org \
--to=omosnace@redhat.com \
--cc=git-commits@fedoraproject.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox